UUCLEANUP(1M)

NAME
uucleanup - uucp spool directory clean-up

SYNOPSIS
/usr/lib/uucp/uucleanup [ options ]

DESCRIPTION
Uucleanup will scan the spool directories for old files and take appropriate action to remove them in a useful way: Inform the requestor of send/receive requests for systems that can't be reached. Return mail, which can't be delivered, to the sender. Delete or execute rnews for rnews type files (depending on where the news originated--locally or remotely). Remove all other files. In addition, there is provision to warn users of requests that have been waiting for a given number of days (default 1).

The following options are available. If the option is not specified on the command line, the default value will be used.

-Ctime
    Any C. files greater or equal to time days old will be removed with appropriate information to the requestor. (default 7 days)

-Dtime
    Any D. files greater or equal to time days old will be removed. An attempt will be made to deliver mail messages and execute rnews when appropriate. (default 7 days)

-Wtime
    Any C. files equal to time days old will cause a mail message to be sent to the requestor warning about the delay in contacting the remote. The message includes the JOBID, and in the case of mail, the mail message. The administrator may include a message line telling who to call to check the problem (-m option). (default 1 days)

-Xtime
    Any X. files greater or equal to time days old will be removed. The D. files are probably not present (if they were, the X. could get executed). But if there are D.s, they will be taken care of by D. processing. (default 2 days)

-mstring
    This line will be included in the warning message generated by the -W option. The default line is

    See you local administrator to locate the problem.

-otime
    Other files whose age is more than time days will be deleted. (default 2 days)

-ssystem
    Execute for system spool directory only.

This program is typically started by the shell uudemon.cleanup, which should be started by cron(1M).

FILES
/usr/lib/uucp
    directory with commands used by uucleanup internally
/usr/spool/uucp
    spool directory

SEE ALSO
cron(1M), uucp(1C), uux(1C).